# Package oracle.xml.sql

Provides APIs for generating XML from the database and storing XML in the database.

See: Description

Exception Summary
OracleXMLSQLException: The `OracleXMLSQLException` class is the generic runtime exception thrown by the XSU.
OracleXMLSQLNoRowsException: The `OracleXMLSQLNoRowsException` class represents the runtime exception thrown when no rows are returned by a query when using the XSU.

## Package oracle.xml.sql Description

Provides APIs for generating XML from the database and storing XML in the database.

## Related Documentation

For overviews, tutorials, examples, guides, and tool documentation, please see:

- http://otn.oracle.com/xml

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.